# List commitments for an account Retrieves a paginated list of commitments for a commitment owner account. Endpoint: GET /v1/commitments Version: 2026-02-20 Security: bearerAuth ## Query parameters: - `accountNumber` (string, required) Account number to fetch commitments for. - `type` (string) Filter commitments by type. Enum: "MinCommitment", "MaxCommitment" - `page` (integer) Page number for pagination. - `pageSize` (integer) Page size for pagination. ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Response 200 fields (application/json): - `total` (integer) Total number of commitments returned. Example: 1 - `page` (integer) Current page number. Example: 1 - `page_size` (integer) Number of commitments per page. Example: 1 - `commitments` (array) List of commitments. - `commitments.id` (string) ID of the commitment. - `commitments.status` (string) Status of the commitment. Enum: "Active", "Canceled" - `commitments.version` (integer) Version of the commitment. - `commitments.startDate` (string) The start date of the commitment. - `commitments.endDate` (string) The end date of the commitment. - `commitments.totalAmount` (number) The commitment amount. - `commitments.currency` (string) Currency of the commitment. - `commitments.orderNumber` (string) The number of the order. - `commitments.orderId` (string) The ID of the order. - `commitments.accountId` (string) The ID of the commitment owner account. - `commitments.accountNumber` (string) Use this field to assign an existing account as the owner of an Commitment. - `commitments.commitmentNumber` (string) The number of the commitment. - `commitments.name` (string) The name of the commitment. - `commitments.type` (string) The type of the commitment. Enum: "MinCommitment", "MaxCommitment" - `commitments.description` (string) The description about this commitment. - `commitments.priority` (integer) The priority of the commitment. It defines the evaluation order of the commitment. The lower the number, the higher the priority. When two commitments have the same priority, the one with the earlier created time will be evaluated first. - `commitments.customFields` (object) Container for custom fields of a Commitment object. - `commitments.accountReceivableAccountingCode` (string) The accounting code on the Commitment object for customers - `commitments.adjustmentLiabilityAccountingCode` (string) The accounting code on the commitment for customers. Note: This field is only available if you have the Order to Revenue feature enabled. - `commitments.adjustmentRevenueAccountingCode` (string) The accounting code on the commitment for customers. Note: This field is only available if you have the Order to Revenue feature enabled. - `commitments.contractAssetAccountingCode` (string) The accounting code on the commitment for customers. Note: This field is only available if you have the Order to Revenue feature enabled. - `commitments.contractLiabilityAccountingCode` (string) The accounting code on the commitment for customers. Note: This field is only available if you have the Order to Revenue feature enabled. - `commitments.contractRecognizedRevenueAccountingCode` (string) The accounting code on the commitment for customers. Note: This field is only available if you have the Order to Revenue feature enabled. - `commitments.deferredRevenueAccountingCode` (string) The deferred revenue accounting code for the commitment. - `commitments.excludeItemBookingFromRevenueAccounting` (boolean) The flag to exclude commitment related booking items from revenue accounting. - `commitments.excludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude commitment related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting. Note: This field is only available if you have the Order to Revenue feature enabled. - `commitments.eligibleAccountConditions` (object) The conditions for account level filters for the commitment. - `commitments.eligibleAccountConditions.field` (string) The field name of a single condition. - `commitments.eligibleAccountConditions.operator` (string) The operator of a single condition. Example: - eq: equal, field = value - neq: not equal, field != value - gt: greater than, field > value - lt: less than, field = value - lte: less than or equal, field <= value - lk: like, field like value - in: in, field in value, multiple values are separated by commas - nl: null, field is null - nnl: not null, field is not null Enum: "eq", "neq", "gt", "lt", "gte", "lte", "lk", "in", "nl", "nnl" - `commitments.eligibleAccountConditions.value` (string) The value of a single condition, which can be a list of values separated by commas. Notes: Account Condition only contains account related fields. Support is provided only for the indexed custom fields. - `commitments.eligibleAccountConditions.conditions` (array) The conditions will be combined by the relation. - `commitments.eligibleAccountConditions.relation` (string) The relation among the conditions. Enum: "and", "or" - `commitments.eligibleChargeConditions` (object) The conditions for charge level filters for the commitment. - `commitments.eligibleChargeConditions.operator` (string) The operator of a single condition. Example: - eq: equal, field = value - neq: not equal, field != value - gt: greater than, field > value - lt: less than, field = value - lte: less than or equal, field <= value - lk: like, field like value - in: in, field in value, multiple values are separated by commas - nl: null, field is null - nnl: not null, field is not null Enum: "eq", "neq", "gt", "lt", "gte", "lte", "lk", "in", "nl", "nnl" - `commitments.eligibleChargeConditions.value` (string) The value of a single condition, which can be a list of values separated by commas. Notes: - PPDD (PrePaid DrawDown) charge will not be loaded during evaluation. - Charge condition only contains charge related fields. Support is provided only for the indexed custom fields. - Charge types supports only the OneTime, Recurring and Usage values. - Charge models supports only the FlatFee, PerUnit, Overage, Volume Tiered, TieredWithOverage, and Calculated values. - `commitments.periodAlignmentOption` (string) Options for aligning the commitment periods within a commitment. Enum: "CommitmentStartDate", "SpecificDate" - `commitments.specificPeriodAlignmentDate` (string) The specific date for period alignment, required if periodAlignmentOption is SpecificDate. - `commitments.isAllocationEligible` (boolean) This field is used to identify if the commitment is allocation eligible in revenue recognition. Note: This field is only available if you have the Order to Revenue feature enabled. - `commitments.isUnbilled` (boolean) This field is used to dictate how to perform the accounting during revenue recognition. Note: This field is only available if you have the Order to Revenue feature enabled. - `commitments.recognizedRevenueAccountingCode` (string) The recognized revenue accounting code for the commitment. - `commitments.revenueAmortizationMethod` (string) This field is used to dictate the type of revenue amortization method. - `commitments.revenueRecognitionRule` (string) The revenue recognition rule for the commitment. - `commitments.revenueRecognitionTiming` (string) This field is used to dictate the type of revenue recognition timing. - `commitments.unbilledReceivablesAccountingCode` (string) The accounting code on the commitment for customers. Note: This field is only available if you have the Order to Revenue feature enabled. - `commitments.taxable` (boolean) Determines whether the true-up invoice of a commitment is taxable. If the value is true, the tax code and tax mode are required. - `commitments.taxCode` (string) Identifies which tax rules and tax rates to apply to the corresponding billing document. - `commitments.taxMode` (string) The tax mode that determines whether tax is included or exclueded from the billing document. Enum: "TaxInclusive", "TaxExclusive" ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.